CAD开发者社区

 找回密码
 立即注册

QQ登录

只需一步,快速开始

AutoCAD 2022 开发者帮助

AddSphere 方法 (ActiveX)

2024-5-18 18:43| 发布者: admin| 查看: 130| 评论: 0|原作者: admin|来自: AutoCAD

AddSphere 方法 (ActiveX)

创建给定中心和半径的球体。

支持的平台:仅限 Windows

签名

VBA:

RetVal = object.AddSphere(Center, Radius)
对象

类型:模型空间纸空间

此方法应用到的对象。

中心

访问:仅输入

类型:变体(双打的三元素阵列)

指定球体中心点的 3D WCS 坐标。

半径

访问:仅输入

类型:

球体的半径。必须为正数。

返回值 (RetVal)

类型: 3DSolid

作为新创建的球体的对象。3DSolid

言论

没有其他评论。

例子

VBA:

Sub Example_AddSphere()
    ' This example creates a sphere in model space.
    
    Dim sphereObj As Acad3DSolid
    Dim centerPoint(0 To 2) As Double
    Dim radius As Double
    
    centerPoint(0) = 5#: centerPoint(1) = 5#: centerPoint(2) = 0#
    radius = 5#
    Set sphereObj = ThisDrawing.ModelSpace.AddSphere(centerPoint, radius)
        
     ' Change the viewing direction of the viewport
    Dim NewDirection(0 To 2) As Double
    NewDirection(0) = -1: NewDirection(1) = -1: NewDirection(2) = 1
    ThisDrawing.ActiveViewport.direction = NewDirection
    ThisDrawing.ActiveViewport = ThisDrawing.ActiveViewport
    ZoomAll

End Sub

可视化 LISP:

(vl-load-com)
(defun c:Example_AddSphere()
    ;; This example creates a sphere in model space.
    (setq acadObj (vlax-get-acad-object))
    (setq doc (vla-get-ActiveDocument acadObj))
    
    ;; Define the solid sphere
    (setq centerPoint (vlax-3d-point 5 5 0)
          radius 5)
  
    (setq modelSpace (vla-get-ModelSpace doc))
    (setq sphereObj (vla-AddSphere modelSpace centerPoint radius))
        
    ;; Change the viewing direction of the viewport
    (setq NewDirection (vlax-3d-point -1 -1 1))
    (setq activeViewport (vla-get-ActiveViewport doc))
    (vla-put-Direction activeViewport NewDirection)
    (vla-put-ActiveViewport doc activeViewport)
    (vla-ZoomAll acadObj)
)

路过

雷人

握手

鲜花

鸡蛋

最新评论

群   号:715888130

QQ|Archiver|CAD开发者社区 ( 苏ICP备2022047690号-1   苏公网安备32011402011833)

GMT+8, 2025-5-17 15:43

Powered by Discuz! X3.4

Copyright © 2001-2021, Tencent Cloud.

返回顶部